# Swap.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Swap.inl"`
`#include "ace/Swap.cpp"`

Include dependency graph for Swap.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Swap< T >
| Defines a function to swap two variables. More...

## Detailed Description

Id
  Swap.h,v 1.4 2006/01/27 10:42:47 jwillemsen Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>